%define qtdir %libdir/qt3
%define beta b

Name: kasound
Version: 0.5
Release: alt1.%beta

Group: System/Configuration/Hardware
Summary: A frontend for setting up .asoundrc
License: GPL
Url: http://kaffeine.sourceforge.net

Requires: kdelibs >= %{get_version kdelibs}

Source: %name-%version%beta.tar.bz2

# Automatically added by buildreq on Fri Nov 21 2003
BuildRequires: XFree86-devel freetype2-devel
BuildRequires: gcc-c++ kdelibs-devel
BuildRequires: libarts-devel libqt3-devel zlib-devel
BuildRequires: libstdc++-devel libxml2 libxslt xml-utils

%description
  KASound aims to be a complete frontend for setting up .asoundrc
Currently it supports software playback mixing (dmix), capture multiplexing (dsnoop),
resampling and format conversion (plug) and surroung channel mapping (route). 

%prep
%setup -q -n %name-%version
#subst "s/Wl,--no-undefined/-Wl,--warn-unresolved-symbols/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"
%configure \
    --enable-final \
    --disable-rpath \
    --enable-shared \
    --disable-static \
    --enable-new-ldflags \
    --program-transform-name="" \
    --with-xinerama \

%make_build

%install
%make install DESTDIR=%buildroot

#menu
%__mkdir_p %Kb_menudir
%Kd2m %name Configuration/Hardware %Kbapplnk/Utilities/%name.desktop %Kb_menudir/%name

%find_lang --with-man --with-kde %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO NEWS
%_bindir/%name
%_datadir/apps/%name
%_menudir/%name
%Kapplnk/Utilities/*.desktop
%_iconsdir/hicolor/*/apps/%name.png

%changelog
* Tue Oct 25 2005 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt1.b
- initial spec
